Subject: Re: [GIT] Networking

From: Al Viro <[email-masked]>
Date: Wed, 22 Aug 2012 01:08:22 +0100

On Tue, Aug 21, 2012 at 04:38:23PM -0700, David Miller wrote:

> 8) Fix all the netprio file handling bugs found by Al Viro, from John
>    Fastabend.

Great, I was just about to start figuring out how to deal with inter-tree
dependencies; now I'll just rebase my internal queue ;-)  (I've added
iterate_fd(files, from, callback) that goes through the descriptor
table starting at given fd, calling the non-blocking callback for files in
there until the callback returns 0; that kills open-coded loops of that
kind in tty_io and netprio, as well as most of the crap in selinux
flush_unauthorized_files(); for now I just have a copy of John's patch
in my tree, but if it's about to go into the mainline - great, less
potential PITA for me).